aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-jsonpatch/APKBUILD
diff options
context:
space:
mode:
authorMatt Dainty <matt+alpine@bodgit-n-scarper.com>2016-03-24 16:33:20 +0000
committerTimo Teräs <timo.teras@iki.fi>2016-03-25 12:06:00 +0000
commit8e5a17a8a83990c65e190d87b327a05dcb76caa7 (patch)
treed2d08a0e01167bff4fea4cae51909f0d48d905cd /testing/py-jsonpatch/APKBUILD
parent0a7d2314bac068f167099132ae4a61171d2118d9 (diff)
downloadaports-8e5a17a8a83990c65e190d87b327a05dcb76caa7.tar.gz
aports-8e5a17a8a83990c65e190d87b327a05dcb76caa7.tar.bz2
aports-8e5a17a8a83990c65e190d87b327a05dcb76caa7.tar.xz
testing/py-jsonpatch: new aport
https://github.com/stefankoegl/python-json-patch Apply JSON-Patches (RFC 6902)
Diffstat (limited to 'testing/py-jsonpatch/APKBUILD')
-rw-r--r--testing/py-jsonpatch/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/py-jsonpatch/APKBUILD b/testing/py-jsonpatch/APKBUILD
new file mode 100644
index 0000000000..799d934f1f
--- /dev/null
+++ b/testing/py-jsonpatch/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Matt Dainty <matt+alpine@bodgit-n-scarper.com>
+# Maintainer:
+pkgname=py-jsonpatch
+_pkgname=jsonpatch
+pkgver=1.13
+pkgrel=0
+pkgdesc="Apply JSON-Patches (RFC 6902)"
+url="https://github.com/stefankoegl/python-json-patch"
+arch="noarch"
+license="BSD"
+depends="python py-jsonpointer"
+makedepends=""
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="4d6650ced683f632e117bafe5d9f093b jsonpatch-1.13.tar.gz"
+sha256sums="9470656a08002e309632b59772b206ce0564c9a77b44c25f05f49dd2cad248d5 jsonpatch-1.13.tar.gz"
+sha512sums="23f0c92c2c8834d5e3129e9ba78ece7da2646dd60d5b0522b0f09d83e20057ef7517042e5ee8547804185d3ce23cff394c8fe78df93fad7999fae12cc5467a45 jsonpatch-1.13.tar.gz"